=== debian/changelog ===
dtkwidget (5.6.11) unstable; urgency=medium

  * Release 5.6.11
  * FIX dtk#51 dtk#62 dtk#36
  * FIX bug-195913 DArrowRectangle postion calc error

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 08 May 2023 13:35:05 +0800

dtkwidget (5.6.10) unstable; urgency=medium

  * Release 5.6.10
  * FIX #364 #373 #389 #390 #403 #408
  * FIX Build error for Qt 5.15~6.1
  * FIX DFloatingButton can't display dci icon

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 17 Apr 2023 17:14:10 +0800

dtkwidget (5.6.9) unstable; urgency=medium

  * Release 5.6.9

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 03 Apr 2023 10:13:53 +0800

dtkwidget (5.6.8) unstable; urgency=medium

  * Release 5.6.8

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 22 Feb 2023 14:21:55 +0800

dtkwidget (5.6.7) unstable; urgency=medium

  * Release 5.6.7

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 17 Feb 2023 13:13:24 +0800

dtkwidget (5.6.6) unstable; urgency=medium

  * Release 5.6.6 update with broken dtkcore
  * Update doc, for danchors
  * fix the broken case if open the popup window second time

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 06 Feb 2023 17:22:10 +0800

dtkwidget (5.6.5) unstable; urgency=medium

  * Release 5.6.5

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 02 Feb 2023 14:15:00 +0800
