## dtkwidget 5.6.12

=== docs/CMakeLists.txt ===
--- 
+++ 
@@ -65,6 +65,7 @@
 set(DOXYGEN_EXCLUDE_PATTERNS
     ${PROJECT_SOURCE_DIR}/src/widgets/private/dimageviewer_p.h
     ${PROJECT_SOURCE_DIR}/src/widgets/private/dimagevieweritems_p.h
+    ${PROJECT_SOURCE_DIR}/src/widgets/private/dsplitscreen_p.h
     ${PROJECT_SOURCE_DIR}/src/widgets/dimagevieweritems.cpp
 )
