=== debian/changelog ===
dtkwidget (5.6.12-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 10 Oct 2023 15:06:47 +0800

dtkwidget (5.6.12) unstable; urgency=medium

  * Release 5.6.12
  * add DLicenseDialog

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 15 May 2023 11:28:59 +0800
