=== debian/changelog ===
dtkwidget (5.6.32) unstable; urgency=medium

  * fix: DMessageManager::sendMessage cause crash
    Thanks to zty199
  * fix: wrong product icon size in DAboutDialog
    Thanks to zty199
  * fix: DTitleBar动态设置Icon时间距异常

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 08 Jul 2024 02:29:21 +0000

dtkwidget (5.6.31) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 27 Jun 2024 09:11:34 +0000

dtkwidget (5.6.30) unstable; urgency=medium

  * feat: modify the spacing between the title and the top(Issue: https://github.com/linuxdeepin/developer-center/issues/8418)
  * fix: 解决wayland下，DDialog窗口透明问题的问题 (#578)
    Thanks to Cjq(Bug: 249975)(Influence: wayland下，DDialog窗口模糊)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 30 May 2024 02:46:31 +0000

dtkwidget (5.6.29) unstable; urgency=medium

  * fix: 修复大多数按钮不响应enter事件(Bug: 253935)(Influence: 按钮响应键盘回车事件)
  * revert: "fix: 自定义页码切换问题"(Issue: https://github.com/linuxdeepin/developer-center/issues/7983)
  * fix: support build on qt 6.7

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 13 May 2024 03:02:55 +0000

dtkwidget (5.6.28) unstable; urgency=medium

  * fix: window menu icon(Issue: https://github.com/linuxdeepin/developer-center/issues/8297)

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 29 Apr 2024 08:23:39 +0000

dtkwidget (5.6.27) unstable; urgency=medium

  * chore: disable broken workflow build
  * fix: next action rect position error(Issue: https://github.com/linuxdeepin/developer-center/issues/6379)
  * fix: fix the problem of text position in dstyleditemdelegate(issue: 7673)
  * fix: Split window position error(Issue: https://github.com/linuxdeepin/developer-center/issues/4840)

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 19 Apr 2024 08:55:35 +0000

dtkwidget (5.6.26) unstable; urgency=medium

  * chore: 调整标题栏“更多/最小化/最大化/关闭按钮”的图标为最新1070图标样式(Task: 331465)(Influence: 窗口标题栏 更多/最小化/最大化/关闭按钮)
  * feat: don't hide alert message automatically.(Issue: https://github.com/linuxdeepin/developer-center/issues/5622)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 26 Mar 2024 05:47:35 +0000

dtkwidget (5.6.25) unstable; urgency=medium

  * chore: 调整关于对话框界面布局和样式(Task: 303535)(Influence: 关于对话框)
  * fix: 调整关于对话框链接颜色(Task: 303535)(Influence: 关于对话框链接颜色)
  * fix: 修复关于对话框在应用名称很长时内容有被截断的情况(Bug: 240835)(Influence: 关于对话框布局)
  * fix: 修复dslider刻度标签内容过长时，显示不下的问题(Task: 325247)(Influence: DSlider刻度标签显示)
  * fix: dconfig frequent construction and destruction
  * fix: black circle in PasswordEdit(Issue: https://github.com/linuxdeepin/developer-center/issues/7335)
  * chore: Adapt to Qt 6.6.1
  * Revert "fix: black circle in PasswordEdit"
  * fix: black circle in PasswordLineEdit(Issue: https://github.com/linuxdeepin/developer-center/issues/7335)

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 11 Mar 2024 01:16:27 +0000

dtkwidget (5.6.23) unstable; urgency=medium

  * release 5.6.23

 -- Mike Chen <chenke@deepin.org>  Wed, 31 Jan 2024 09:29:11 +0800

dtkwidget (5.6.22) unstable; urgency=medium

  * fix: double click edit incorrect format(Issue: https://github.com/linuxdeepin/developer-center/issues/6780)
  * chore: remove unused headers in header

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 10 Jan 2024 02:30:59 +0000

dtkwidget (5.6.21) unstable; urgency=medium

  * chore: nullptr check in dstyleditemdelegate
  * chore: logical judgment errors

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 09 Jan 2024 01:45:43 +0000

dtkwidget (5.6.20) unstable; urgency=medium

  * feat: styleHint tweak
  * chore: add synchronization workflow
  * fix: redefinition of verticalTabs
  * fix: export inexistent classes in config
  * fix: 修复DLicenseDialog内存泄漏(Influence: DLicenseDialog)
  * fix: DArrowRectangle left/right style incorrect(Issue: #92)
  * fix: DApplication初始化过程中会覆盖原有事件掩码，导致丢失事件(Bug: 220369)
  * feat: move ddesktopservices to dtkgui(Issue: #134)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 28 Nov 2023 05:40:53 +0000

dtkwidget (5.6.19) unstable; urgency=medium

  * feat: change DTK_STATIC_TRANSLATION to the default setting.
    Thanks to He Xin

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 23 Oct 2023 07:33:18 +0000

dtkwidget (5.6.18) unstable; urgency=medium

  * fix: ColorMode may be inconsistent with settings.(Bug: 219201)(Influence: PrintPreview)
  * chore: correct typos about action slots
    Thanks to Felix Yan
  * feat: use DIconTheme::findQIcon(Issue: #4112)
  * fix: 修复打印预览，切换打印机的时候预览图颜色显示异常
    Thanks to zhangkun(Bug: 220315)(Influence: 打印预览切换打印机时预览图的颜色表现)
  * doc: update docs for denhancedwidget
    Thanks to syn(Issue: #94)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 18 Oct 2023 06:01:44 +0000

dtkwidget (5.6.17) unstable; urgency=medium

  * Release 5.6.17

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 08 Sep 2023 15:19:50 +0800

dtkwidget (5.6.16) unstable; urgency=medium

  * feat: add ut_dpalettehelper
  * chore: add test for dwatermarkhelper
  * fix: update dependency libfreetype-dev

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 22 Aug 2023 06:13:44 +0000

dtkwidget (5.6.15) unstable; urgency=medium

  * chore: remove useless files
  * feat: Add UT for DComboBox
  * doc: update docs for dfontcombobox 更新dfontcombobox的文档
    Thanks to LyYeeeYuwu(Issue: #94)
  * doc: update docs for dtooltip
    Thanks to syn(Issue: #94)
  * doc: update docs for dcircleprogress
    Thanks to homehome(Issue: #94)
  * doc: update docs for dcrumbedit
    Thanks to LyYeeeYuwu(Issue: #94)

 -- Yixue Wang <wangyixue@deepin.org>  Fri, 11 Aug 2023 14:03:59 +0800

dtkwidget (5.6.14) unstable; urgency=medium

  * fix: Button background lightness display error(Issue: #82)
  * doc: update docs for dpasswordedit
    Thanks to homehome(Task: 26)
  * doc: update docs for dtabbar
    Thanks to homehome(Issue: #94)
  * refactor!: deprecate some interfaces in dtk6
  * doc: update docs for dcombobox

