## dtkwidget 5.7.9

=== debian/changelog ===
dtkwidget (5.7.9-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Feb 2025 15:24:02 -0500

dtkwidget (5.7.9-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/control: Update build-dep packages.
  * debian/patches: Dropped, now useless.
  * debian/libdtkwidget5.shlibs: Tighten version requirement.

 -- Boyuan Yang <byang@debian.org>  Mon, 10 Feb 2025 21:11:21 -0500
