## dtkwidget 5.7.11

=== debian/changelog ===
dtkwidget (5.7.11-2) unstable; urgency=medium

  * debian/control: Add missing build-dep on libdtklog-dev.

 -- Boyuan Yang <byang@debian.org>  Mon, 03 Mar 2025 10:31:32 -0500

dtkwidget (5.7.11-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Mar 2025 13:48:24 -0500
