=== debian/control ===
--- 
+++ 
@@ -14,9 +14,10 @@
  cmake,
  libcups2-dev,
  libdframeworkdbus-dev (>= 6),
- libdtkcore-dev (>= 5.7.9~),
- libdtkcore5-bin (>= 5.7.9~),
- libdtkgui-dev (>= 5.7.9~),
+ libdtkcore-dev (>= 5.7.11~),
+ libdtkcore5-bin (>= 5.7.11~),
+ libdtkgui-dev (>= 5.7.11~),
+ libdtklog-dev,
  libegl1-mesa-dev,
  libfontconfig-dev,
  libfreetype-dev,
@@ -38,7 +39,7 @@
  qttools5-dev-tools,
  x11proto-xext-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/linuxdeepin/dtkwidget
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkwidget.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkwidget
@@ -60,8 +61,9 @@
 Section: libdevel
 Depends:
  libcups2-dev,
- libdtkcore-dev (>= 5.7.8),
- libdtkgui-dev (>= 5.7.8),
+ libdtkcore-dev (>= 5.7.11),
+ libdtkgui-dev (>= 5.7.11),
+ libdtklog-dev,
  libdtkwidget5 (= ${binary:Version}),
  libqt5svg5-dev,
  libqt5x11extras5-dev,
@@ -96,7 +98,6 @@
 Package: libdtkwidget5-bin
 Architecture: any
 Depends:
- libdtkcore-dev (>= 5.7.8),
  libdtkwidget5 (= ${binary:Version}),
  libqt5svg5-dev,
  libqt5x11extras5-dev,
