## dtkwidget 5.7.12

=== tools/CMakeLists.txt ===
add_subdirectory(svgc)
