=== debian/changelog ===
dtkwidget (5.7.14) unstable; urgency=medium

  * fix: wheel event is accepted in qt6
  * fix: 修复SwitchButton在透明窗口上显示时颜色太亮,太突兀的问题
  * fix: DToolTip宽度计算
  * fix: DFloatingMessage宽度计算

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 17 Apr 2025 21:51:46 +0800

dtkwidget (5.7.13) unstable; urgency=medium

  * fix: accessing wild pointer for DAboutDialog
  * feat: increase fallback for password character

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 20 Mar 2025 17:06:12 +0800

dtkwidget (5.7.12) unstable; urgency=medium

  * fix: failed to save too long filename for DPrintPreviewWidget
  * chore: remove warning in qt6
  * feat: Add files generated by qdbusXML2cpp and DCONG2cpp
  * doc: update docs for dwatermarkhelper

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 06 Mar 2025 17:29:50 +0800

dtkwidget (5.7.11) unstable; urgency=medium

  * fix: window filickering caused by animation for DDrawer
  * fix: app crashed for DBlurEffectWidget in qt6
  * fix: titlebar can't drag after close DAboutDialog
  * fix: PrintPreview can't switch orientation

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 27 Feb 2025 20:47:56 +0800

dtkwidget (5.7.10) unstable; urgency=medium

  * fix: 修复 桌面/文管文件，打开属性窗口闪烁

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 13 Feb 2025 17:18:34 +0800

dtkwidget (5.7.9) unstable; urgency=medium

  * fix: missing QT_QPA_PLATFORM for DApplication

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 23 Jan 2025 09:07:09 +0000

dtkwidget (5.7.8) unstable; urgency=medium

  * fix: access wild pointer for targetWindowHandle

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 14 Jan 2025 11:17:32 +0000

dtkwidget (5.7.7) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 09 Jan 2025 09:28:39 +0000

dtkwidget (5.7.6) unstable; urgency=medium

  * fix: resident floating message cannot be closed(Bug: 297669)
  * fix: 调整滑动条横条和刻度颜色(Bug: 254295)(Influence: 调整滑动条横条和刻度颜色)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 02 Jan 2025 05:43:53 +0000
